<?php
require_once(dirname(__FILE__).'/autoload.php');
protegeArquivo(basename(__FILE__));
class genericaConvencional extends base{

 
function executaSql2018($sql,$codigo)
{
//Conexão e consulta ao Mysql
//$conecta=mysql_connect('localhost','root','') or die(mysql_error());
//mysql_select_db('gugeler',$conecta) or die(mysql_error());	

$a=DBHOST;
$b=DBUSER;
$c=DBPASS;
$d=DBNAME;



$conecta=mysql_connect($a,$b,$c) or die(mysql_error());
mysql_select_db($d,$conecta) or die(mysql_error());	



//exemplo didatico....
//$conecta=mysql_connect('localhost','root','') or die(mysql_error());
//mysql_select_db('gugeler',$conecta) or die(mysql_error());	

print "Conexão e Seleção OK!"; 
//mysql_close($conecta); 
mysql_query($sql, $conecta); 

/*

Testando a seleção(exemplo da locaweb)

<?php 
$conecta = mysql_connect("HOST", "LOGIN", "SENHA") or print (mysql_error()); 
mysql_select_db("BANCO", $conecta) or print(mysql_error()); 
print "Conexão e Seleção OK!"; 
mysql_close($conecta); 
?>









Trabalhando com os Dados Presentes no Banco

mysql_query(); executa um comando SQL no banco de dados. 
mysql_fetch_array(); retorna linha de consulta até que a condição seja falsa. 
mysql_free_result(); libera memória utilizada. 
mysql_close(); fecha conexão com o servidor.


Usaremos uma função de loop ( while(); ) para demonstrar uma consulta SQL em ação.


Obs: é possível utilizar o script abaixo para interação com tabela e colunas criadas em nosso exemplo de MySQL.

 <?php 
$conecta = mysql_connect("HOST", "LOGIN", "SENHA") or print (mysql_error()); 
mysql_select_db("BANCO", $conecta) or print(mysql_error()); 
$sql = "SELECT coluna1, coluna2 FROM tabela"; 
$result = mysql_query($sql, $conecta); 
 
// Escreve resultados até que não haja mais linhas na tabela //
 
while($consulta = mysql_fetch_array($result)) { 
   print "Coluna1: $consulta[coluna1] - Coluna2: $consulta[coluna2]<br>"; 
} 
mysql_free_result($result); 
mysql_close($conecta); 
?>





*/	
	
	
	
	//return $codigo*3 . DBHOST.DBUSER;			
	return $codigo*3 . $a.$b.$c.$d;			
}



	
	
}
?>